#### Session Video

```
https://drive.google.com/file/d/1clfwVdlBq3-ZbGbrbWwMYYQc--xkMGzq/view?usp=sharing
```


#### Launch EC2 Instance on AWS :

```
Here are the step-by-step instructions for launching an AWS EC2 instance:

    STEP-1 : Log in to the AWS Management Console and navigate to the EC2 Dashboard.

    STEP-2 : Click the "Launch Instance" button to start the instance creation process.

    STEP-3 : Choose an Amazon Machine Image (AMI) for your instance. 
    
        - An AMI is a pre-configured virtual machine image that contains an operating system, application server, and any required software. 
    
        - You can choose from a variety of pre-built AMIs, or create your own custom AMI.

    STEP-4 : Select an instance type for your instance. 
        - This determines the resources (CPU, memory, storage, etc.) allocated to the instance. 
        - You can choose from a range of instance types based on your workload requirements and budget.

    STEP-5 : Configure the instance details, such as the number of instances to launch, network settings, security groups, and IAM roles.   
        - You can also enable detailed monitoring, tags, and user data scripts here.

    STEP-6 : Choose a storage option for your instance. You can select from Amazon Elastic Block Store (EBS) volumes, instance store volumes, or a combination of both. You can also configure the storage size, type, and encryption options.

    STEP-7 : Configure any additional options, such as instance metadata, user data, and advanced settings. 
        - You can also set up auto-scaling and load balancing for your instance if required.

    STEP-8 : Review your instance configuration and launch the instance. 
        - You will need to create or select a key pair for SSH access to the instance.

    STEP-9 : Once the instance is launched, you can connect to it using SSH or Remote Desktop, depending on the operating system and instance type.

    That's it! You have successfully launched an EC2 instance in AWS.

```

#### What is AWS?

```
- AWS stands for Amazon Web Services, which is a comprehensive cloud computing platform offered by Amazon. 

- It provides a wide range of 
    1. infrastructure as a service (IaaS), 
    2. platform as a service (PaaS), 
    3. software as a service (SaaS), and 
    other cloud-based services, including storage, compute power, database management, security, application development, machine learning, and analytics, among others.

- AWS was launched in 2006 and has grown to become one of the largest cloud service providers in the world, with millions of customers including startups, large enterprises, and government organizations. 

- It offers a pay-as-you-go pricing model, which allows customers to pay only for the resources they use, without any upfront costs or long-term commitments.

- AWS operates in multiple geographic regions around the world, allowing customers to choose the location that is closest to their users or that offers the best performance and cost for their specific use case. 

- It also provides a range of tools and services for managing and monitoring cloud resources, including a web-based management console, command-line tools, and APIs for automation and integration with other systems.
```

#### Why AWS?

```
There are several reasons why AWS is so popular:

    1. Wide range of services: 
    
    AWS offers a vast array of cloud services and tools, covering virtually every aspect of cloud computing, including computing, storage, databases, analytics, machine learning, security, networking, IoT, and more. This comprehensive range of services makes AWS a one-stop shop for all cloud computing needs, which is highly attractive for customers looking to simplify their IT infrastructure.

    2. High scalability: 
    
    AWS offers a highly scalable infrastructure that can easily scale up or down based on demand. Customers can add or remove computing resources, storage capacity, and network bandwidth as needed, without any downtime or disruption. This allows customers to handle spikes in demand or sudden changes in workload without having to invest in additional hardware or infrastructure.

    3. Flexibility and agility: 
    
    AWS provides customers with the flexibility to choose the programming languages, operating systems, and platforms that best suit their needs. It also offers a range of deployment options, including virtual machines, containers, and serverless computing, which allows customers to choose the most appropriate deployment model for their specific use case. This flexibility and agility allow customers to quickly respond to changing business needs and experiment with new ideas and innovations.

    4. Cost-effectiveness: 
    
    AWS offers a pay-as-you-go pricing model, which allows customers to pay only for the resources they use, without any upfront costs or long-term commitments. This cost-effective pricing model, combined with the ability to easily scale up or down, makes AWS an attractive option for businesses of all sizes, including startups and small businesses.

    5. Strong security and compliance: 
    
    AWS has a robust security infrastructure, which includes physical security measures, network security, identity and access management, and data encryption. It also complies with a wide range of industry standards and regulations, including HIPAA, PCI DSS, and GDPR, making it a viable option for businesses in highly regulated industries such as healthcare, finance, and government.

Overall, AWS's combination of comprehensive services, scalability, flexibility, cost-effectiveness, and strong security make it a popular choice for businesses of all sizes and industries.

```

#### AWS Training & Certifications

| SNo | Certification Name	| Launch Date | 
| --- | --- | --- |
| 1	| AWS Certified Cloud Practitioner	| June 2017 |

| SNo | Certification Name	| Launch Date | 
| --- | --- | --- |
| 2	| AWS Certified Solutions Architect - Associate	| April 2013  |
| 3	| AWS Certified Developer - Associate	| April 2013 |
| 4	| AWS Certified SysOps Administrator - Associate	| April 2013 |

| SNo | Certification Name	| Launch Date | 
| --- | --- | --- |
| 5	| AWS Certified Solutions Architect - Professional	| August 2014 |
| 6	| AWS Certified DevOps Engineer - Professional	| Feb 2015 |

| SNo | Certification Name	| Launch Date | 
| --- | --- | --- |
| 7	| AWS Certified Advanced Networking - Specialty | 	July 2022 |
| 8	| AWS Certified Security - Specialty | 	May 2018 |
| 9	| AWS Certified Machine Learning - Specialty | April 2019 |
| 10 | AWS Certified Database - Specialty | April 2020 |
| 11 | AWS Certified Data Analytics - Specialty | April 2020 |
| 12 | AWS Certified SAP on AWS - Specialty | August 2022 |


#### AWS Services - Each Service and Their Release Date


| Service | Launch Year |
| --- | --- | 
| Amazon Elastic Compute Cloud (EC2) |	2006 |
| Amazon Simple Storage Service (S3) |	2006 |
| Amazon Simple Queue Service (SQS) |	2006 |
| Amazon Elastic Block Store (EBS) |	2008 |
| Amazon Virtual Private Cloud (VPC) |	2009 |
| Amazon CloudFront |	2008 |
| Amazon SimpleDB |	2007 |
| Amazon Relational Database Service (RDS)	| 2009 |
| Amazon DynamoDB |	2012 |
| Amazon Elastic MapReduce (EMR) |	2009 |
| Amazon Simple Notification Service (SNS)	 | 2010 |
| Amazon CloudWatch	 | 2009 |
| Amazon Route 53	 | 2010 |
| AWS Identity and Access Management (IAM) | 2010 |
| AWS Elastic Beanstalk	 | 2011  |
| AWS CloudFormation	 | 2011  |
| AWS Elastic Load Balancing (ELB)	 | 2009  |
| AWS Lambda | 2014
| Amazon Kinesis  | 2013 |
| Amazon Redshift	 | 2012 |
| Amazon Glacier |	2012 |
| Amazon Elastic File System (EFS)	| 2016  |
| AWS CodeDeploy | 2014 | 
| AWS CodeCommit  | 2015 |
| AWS CodePipeline  | 2015  |
| AWS CodeBuild	 | 2016 |
| Amazon Machine Learning | 2015 |
| Amazon WorkSpaces	 | 2013 |
| Amazon WorkDocs  | 2015 |
| Amazon WorkMail  | 2015 |
| Amazon QuickSight	 | 2016  |
| Amazon Aurora	 | 2015 |
| Amazon Polly	 | 2016 |
| Amazon Lex	 | 2016 |
| Amazon Rekognition | 2016 |
| Amazon Translate | 2017 |
| Amazon SageMaker	 | 2017 |
| AWS RoboMaker | 2018 |
| Amazon Personalize  | 2019  |
| Amazon Textract  | 2019  |
| Amazon Kendra  | 2020 |
| Amazon Braket	 | 2020 |
| Amazon CodeGuru | 2020  |
| Amazon Detective	 | 2020 |
| Amazon Augmented AI (A2I)	 | 2020  |
| Amazon Honeycode	 | 2020 |
| Amazon Managed Service for Prometheus (AMP) | 2020 |
| Amazon DevOps Guru | 2021 |
| Amazon Lookout for Metrics | 2021 |
| Amazon Lookout for Vision	 | 2021  |
| Amazon HealthLake |	2021 |
| Amazon Monitron |	2021 |
| Amazon SaaS Boost	 | 2021  |
| Amazon Elastic Kubernetes Service (EKS) |	2018  |
| AWS Fargate |	2017 |
| Amazon ECS	 | 2014 |
| AWS Outposts	 | 2019 |
| AWS Snowball Edge |	2016 |
| AWS Snowmobile |	2016 |
| AWS Transit Gateway |	2018 |
| AWS Global Accelerator	 |2018 |
| Amazon FSx |	2018 |
| AWS Security Hub |	2018 |
| AWS Lake Formation	 | 2019 |
| Amazon Detective  |	2020 |
| AWS Network Firewall	| 2020 |
| AWS Nitro Enclaves |	2020 |
| AWS PrivateLink	 | 2017 |
| Amazon EKS Anywhere	 | 2021 |

#### Here are the step-by-step instructions to create an AWS account:

```
    Go to the AWS website at https://aws.amazon.com/

    STEP-1 : Click on the "Create an AWS Account" button.

    STEP-2 : Enter your email address and choose a password for your AWS account.

    STEP-3 : Enter your contact information, such as your name, company name (if applicable), and phone number.

    STEP-4 : Enter your payment information. AWS offers a free tier for new customers, but you will need to provide a credit card or debit card to verify your identity.

    STEP-5 : Choose a support plan. AWS offers different levels of support depending on your needs and budget. You can choose from Basic, Developer, Business, or Enterprise support plans.

    STEP-6 : Review the AWS Customer Agreement and check the box to confirm that you agree to the terms and conditions.

    STEP-7 : Click the "Create Account and Continue" button.

    STEP-8 : AWS will send a verification code to your email address. Enter the code in the field provided and click the "Verify Code and Continue" button.

    STEP-9 : Choose a username and enter additional information to complete your account setup. You can also select your preferred language and time zone.

    STEP-10 : You will be redirected to the AWS Management Console, where you can start using AWS services and resources.

    That's it! You have successfully created an AWS account and can now start exploring the AWS platform.
```

#### Global Infrastructure in AWS 

```
Regions : 32

Availability Zones : 102

Points Of Presence : 600

About To Launch:
    Region : 4
    Availability Zones : 12

```
#### Here's a table comparing Global Services and Regional Services in AWS:

| Global Services	| Description |
|--- | --- |
| IAM |	Identity and Access Management |
| Route 53	 | DNS web service |
| CloudFront |	Content Delivery Network (CDN) |
| WAF and Shield |	Web Application Firewall and DDoS protection |
| CloudTrail	 | Auditing and logging service |
| Organizations |	Manage multiple AWS accounts and consolidate billing |
| Artifact	 | On-demand access to AWS compliance reports |
| Marketplace	 | Buy and sell software and services on AWS |
| Support Center	 | AWS support portal and resources |

| Global Services	| Description |
|--- | --- |
| EC2	 |Elastic Compute Cloud - Virtual servers |
| S3	 |Simple Storage Service - Object storage |
| RDS	 |Relational Database Service - Managed databases |
| Lambda |	Serverless compute service - Run code without servers |
| ECS	 |Elastic Container Service - Run and manage Docker containers |
| EKS	 |Elastic Kubernetes Service - Run and manage Kubernetes |
| CloudFormation	 |Infrastructure as Code - Automate resource creation |
| CloudWatch	 |Monitoring and logging service - Collect and track metrics |
| VPC	 |Virtual Private Cloud - Isolated cloud resources |
| ELB	 |Elastic Load Balancing - Distribute traffic to instances |

Note: This list is not exhaustive and there may be additional services or updates that have been released since this response.

